Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class QueryProcessTemplates

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.QueryProcessTemplates

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<ProcessTemplateListResult>, net.customware.gwt.dispatch.shared.Action<ProcessTemplateListResult>

    public class QueryProcessTemplates

extends java.lang.Object
implements OSAction<ProcessTemplateListResult>

Query Process Templates available in the Process Engine.

Sort and filter strings can be specified.

An empty filter will return all templates.

DEFINITION.NAME, DEFINITION.DESCRIPTION and DEFINITION.VERSION are the fields available for sorting / filtering.

An example filter would be :

"DEFINITION.NAME='abc' AND DEFINITION.DESCRIPTION>'desc' AND DEFINITION.VERSION<>'1.2.3'"

Available operators are <, <=, >, >=, <>, =

An example sort string would be :

"DEFINITION.NAME ASC , DEFINITION.DESCRIPTION ASC , DEFINITION.VERSION DESC"

ASC or DESC determine the direction of the sort.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `ProcessTemplateListResult`

Constructor Summary
`QueryProcessTemplates(java.lang.String filter, java.lang.String sort, int startItem, int numItems)` Constructs a new QueryProcessTemplates Action Query Process Templates available in the Process Engine.

Method Summary
`java.lang.String` | `getFilter()` The filter string.
`int` | `getNumItems()` Number of templates to retrieve.
`java.lang.String` | `getSort()` The sort string.
`int` | `getStartItem()` Index of first template to retrieve.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryProcessTemplates

    public QueryProcessTemplates(java.lang.String filter,
                                 java.lang.String sort,
                                 int startItem,
                                 int numItems)

  Constructs a new QueryProcessTemplates Action Query Process Templates available in the Process Engine.

  Sort and filter strings can be specified.

  An empty filter will return all templates.

  DEFINITION.NAME, DEFINITION.DESCRIPTION and DEFINITION.VERSION are the fields available for sorting / filtering.

  An example filter would be :

  "DEFINITION.NAME='abc' AND DEFINITION.DESCRIPTION>'desc' AND DEFINITION.VERSION<>'1.2.3'"

  Available operators are <, <=, >, >=, <>, =

  An example sort string would be :

  "DEFINITION.NAME ASC , DEFINITION.DESCRIPTION ASC , DEFINITION.VERSION DESC"

  ASC or DESC determine the direction of the sort.

  Parameters:
    `filter` - the filter string.
    `sort` - the sort string.
    `startItem` - the start item.
    `numItems` - the number of items to retrieve.

Method Detail

### getFilter

    public java.lang.String getFilter()

  The filter string.

  Returns:
    Returns the filter.

### getSort

    public java.lang.String getSort()

  The sort string.

  Returns:
    Returns the sort.

### getStartItem

    public int getStartItem()

  Index of first template to retrieve.

  Returns:
    Returns the startItem.

### getNumItems

    public int getNumItems()

  Number of templates to retrieve.

  Returns:
    Returns the numItems.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.